#include <bits/stdc++.h>


using namespace std;

void solve(){
	int n,m,k;
	cin>>n>>m>>k;
	if(k==1 && m>=(n*(n+1)/2)){
		cout<<"Tak"<<endl;
	}else if(n%k==0 && k*(n/k)*(n/k+1)/2<=m){
		cout<<"Tak"<<endl;
	}else if(n%k!=0 && k*((n/k)*(n/k+1))/2+(n%k)*(n/k+1)<=m) {
		cout<<"Tak"<<endl;
	}else{
		cout<<"Nie"<<endl;
	}
}



int main()
{
	ios::sync_with_stdio(0); 
	cin.tie(0);
	int t; cin>>t;
	for(int i=0; i<t; i++){
		solve();

	}

}